Subject: [PATCHv3 1/5] arm64: add MIDR_EL1 field accessors

From: [email-masked] (Will Deacon)
Date: Fri, 27 Jun 2014 15:07:48 +0100

On Fri, Jun 27, 2014 at 03:06:22PM +0100, Russell King - ARM Linux wrote:
> On Fri, Jun 27, 2014 at 03:01:56PM +0100, Will Deacon wrote:
> > On Thu, Jun 26, 2014 at 04:18:42PM +0100, Mark Rutland wrote:
> > > The MIDR_EL1 register is composed of a number of bitfields, and uses of
> > > the fields has so far involved open-coding of the shifts and masks
> > > required.
> > > 
> > > This patch adds shifts and masks for each of the MIDR_EL1 subfields, and
> > > also provides accessors built atop of these. Existing uses within
> > > cputype.h are updated to use these accessors.
> > > 
> > > The read_cpuid_part_number macro is modified to return the extracted
> > > bitfield rather than returning the value in-place with all other fields
> > > (including revision) masked out, to better match the other accessors.
> > > As the value is only used in comparison with the *_CPU_PART_* macros
> > > which are similarly updated, and these values are never exposed to
> > > userspace, this change should not affect any functionality.
> > > 
> > > Signed-off-by: Mark Rutland <[email-masked]>
> > > Acked-by: Will Deacon <[email-masked]>
> > 
> > We need to make sure this doesn't conflict horribly with the missing arm64
> > hunk from Russell's series in this area. Ideally, we'd take Russell's patch
> > as part of this series.
> 
> The "missing arm64 hunk" was intentionally dropped as I couldn't see,
> and still don't see a justification for it.

Okey doke then, I just wanted to make sure we didn't get conflicts between
our trees.

Will